import '../../marianumconnect_query.dart';
import 'timetable_get_classes_response.dart';

class TimetableGetClasses extends MarianumConnectQuery {
  TimetableGetClasses({super.dio});

  Future<TimetableGetClassesResponse> run() async =>
      TimetableGetClassesResponse(
        result: await getList(
          'timetable/elements/classes',
          McTimetableClass.fromJson,
        ),
      );
}
